<?php     
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Playball&display=swap" rel="stylesheet">

	<link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">

	<link href="https://fonts.googleapis.com/css2?family=Aguafina+Script&display=swap" rel="stylesheet">
<!-- new ico -->
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css
	" rel="stylesheet">

	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/teampopup.css">

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>

	<script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js" type="text/javascript"></script>
 	<script type="text/javascript">
		$(document).ready(function(){
			$("#formButton").click(function(){
				$("#form1").toggle();
			});
		});
	 </script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->


		<?php if(get_theme_mod('peccular_header_style', 'Above Slider') == 'Above Slider' ){ ?>

			<header class="site-header header-transparent header mo-left header-seo" style="position:relative">
				<div class="header-bg">
					<!-- <div class="menu-top-bx"> -->
						<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>" style="border-radius: 0px;">
							<?php
							$peccular_marquebutton = get_theme_mod('peccular_marquebutton', '
								<strong>HURRY UP!</strong> Exclusive Offers & Deals'); 
							$peccular_marquebuttontxt = get_theme_mod('peccular_marquebuttontxt', 'SHOP NOW');
							$peccular_marquebuttontxtlink = get_theme_mod('peccular_marquebuttontxtlink', '');  
							?>
							<?php
							$peccular_headertwo_subtitle = get_theme_mod('peccular_headertwo_subtitle', '<strong>Spend $50,</strong> Get Free Shipping! On All Orders');	
							$peccular_headertwo_subtitlebx = get_theme_mod('peccular_headertwo_subtitlebx', '<strong>SPECIAL OFFER : Free Delivery</strong> On All Orders'); 
							$peccular_headerthree_subtitlebx = get_theme_mod('peccular_headerthree_subtitlebx', '<strong> SPECIAL OFFER </strong> HURRY UP!'); 
							?> 

							<div class="marquee alert__line">
								<div class="marquee__content">
									<ul class="list-inline"> 
										<?php if($peccular_marquebutton || $peccular_marquebutton){ ?>
										<li><?php echo ($peccular_marquebutton );  ?> <i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitle || $peccular_headertwo_subtitle){ ?>
											<li><?php echo ($peccular_headertwo_subtitle);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
										<?php if($peccular_headertwo_subtitlebx || $peccular_headertwo_subtitlebx){ ?>
											<li><?php echo ($peccular_headertwo_subtitlebx);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
									</ul>
									<ul class="list-inline">
										<?php if($peccular_marquebutton || $peccular_marquebutton){ ?>
										<li><?php echo ($peccular_marquebutton );  ?> <i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitle || $peccular_headertwo_subtitle){ ?>
											<li><?php echo ($peccular_headertwo_subtitle);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitlebx || $peccular_headertwo_subtitlebx){ ?>
											<li><?php echo ($peccular_headertwo_subtitlebx);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
									</ul>
									<ul class="list-inline">
										<?php if($peccular_marquebutton || $peccular_marquebutton){ ?>
										<li><?php echo ($peccular_marquebutton );  ?> <i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitle || $peccular_headertwo_subtitle){ ?>
											<li><?php echo ($peccular_headertwo_subtitle);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitlebx || $peccular_headertwo_subtitlebx){ ?>
											<li><?php echo ($peccular_headertwo_subtitlebx);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
									</ul>
								</div>
							</div>	


							<div class="menu-top-bx">

								<div class="<?php if(get_theme_mod('peccular_header_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_header_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    

									<div class="row m-0">
										<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 col-xs-12 desktop-woo-head p-0">
											<?php 
											if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
												$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
											}
											if( get_theme_mod('pages_logoheight',true) ) {
												$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
											}
											if( get_theme_mod('pages_logoToppadding',true) ) {
												$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
											}
											if( get_theme_mod('pages_logobottompadding',true) ) {
												$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
											}
											if( get_theme_mod('pages_logoTopmargin',true) ) {
												$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
											}
											if( get_theme_mod('pages_logobottommargin',true) ) {
												$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
											}
											?>
											<!-- website logo -->
											<div class="logo-header">
												<?php 
												if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
													the_custom_logo();
											else : 
												if ( is_front_page() ) : ?>
													<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
														<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
													<?php endif; ?>
												<?php else : ?>
													<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
												<?php endif; ?>
											<?php endif; ?> 
											<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
												<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
											<?php }?>
										</div>
									</div>
									<div class="col-xl-7 col-lg-7 col-md-6 col-sm-4 head-menu">
										<?php
										if( get_theme_mod('menu_fontsize',true) ) {
											$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
										}
										if( get_theme_mod('dropdown_menu_fontsize',true) ) {
											$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
										}
										?>
										<div class="site-navigation">
											<div class="hamburger-menus">
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
												<span></span>
											</div>
											<nav class="navigation">
												<div class="overlaybg"></div><!--  /.overlaybg -->
												<!-- Main Menu -->
												<div class="menu-wrapper">
													<div class="menu-content">
														<?php
														if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
															wp_nav_menu ( array(
																'menu_class' => 'mainmenu ht-clearfix',
																'container'=> 'ul',
																'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																'theme_location' => 'primary',  
															)); 
														} else {
															wp_nav_menu ( array(
																'menu_class' => 'mainmenu ht-clearfix',
																'container'=> 'ul',
																'theme_location' => 'primary',  
															)); 
														}
														?>
													</div> <!-- /.hours-content-->
													<div class="clearfix"></div>
												</div><!-- /.menu-wrapper --> 

												<!-- resp -->
												<div class="col-xl-2 col-lg-2 col-md-3 col-sm-4 top-button p-0 show-only-responsive">
													<?php if( get_theme_mod('peccular_header_button_display','show' ) == 'show') :
														?>  
														<?php
														$peccular_headerbutton = get_theme_mod('peccular_headerbutton', 'Contact Now'); 
														$peccular_headerbtnlink = get_theme_mod('peccular_headerbtnlink', '');  
														?>
														<a class="btn btn-lg" href="<?php echo $peccular_headerbtnlink ?>"><span> <?php echo ($peccular_headerbutton );  ?></span></a>

													<?php endif ?>
												</div>
												<!-- resp btn -->

												<div class="clearfix"></div>    
											</nav>	
										</div><!--  /.site-navigation -->		
										<div class="clearfix"></div>
									</div><!-- sticky header -->

									<div class="col-xl-2 col-lg-2 col-md-3 col-sm-4 top-button p-0 hide-in-responsive">
										<?php if( get_theme_mod('peccular_header_button_display','show' ) == 'show') :
											?>  
											<?php
											$peccular_headerbutton = get_theme_mod('peccular_headerbutton', 'Contact Now'); 
											$peccular_headerbtnlink = get_theme_mod('peccular_headerbtnlink', '');  
											?>
											<a class="btn btn-lg" href="<?php echo $peccular_headerbtnlink ?>"><span> <?php echo ($peccular_headerbutton );  ?></span></a>

										<?php endif ?>
									</div>
								</div>



							</div>
						</div>
						<div class="<?php if(get_theme_mod('peccular_header_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_header_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    
							<div class="row m-0 header-third-row">
								
								<div class="col-xl-2 col-lg-3 col-md-3 col-sm-3 col-xs-12 bottom--header p-0">
									<?php
									$header__categories = get_theme_mod('header__categories', 'All Collections');
									$header__categorieslink = get_theme_mod('header__categorieslink', '');  
									?>
									<?php if( get_theme_mod('peccular_header_catbox_display','show' ) == 'show') :
										?> 
										<label class="for-dropdown heading-font" for="dropdown">
											<a href="<?php echo $header__categorieslink ?>"> <i class="uil fa fa-bars"></i><?php echo ($header__categories );  ?></a>
										</label>
									<?php endif ?>
								</div>
								
								<div class="col-xl-7 col-lg-6 col-md-6 col-sm-5 col-xs-12 p-0 header-search">
									<?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
										<div id="sb-search" class="sb-search">
											   <form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
												<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
												<input type="search" class="effect-24" placeholder="Search Product" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />

												<span class="focus-bg"></span>
												<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
												<input type="hidden" name="post_type" value="product" />
											</form>
										</div>	
									

									<div class="top-form">
									<button type="button" id="formButton" class="pull-right"></button>
									<form id="form1" role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
												<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
												<input type="search" class="effect-24" placeholder="Search Product" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />

												<span class="focus-bg"></span>
												<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
												<input type="hidden" name="post_type" value="product" />
											</form>
								</div>
								<?php }?>
								</div>
								<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-12 header-woo-cart p-0">


									<?php //echo do_shortcode('[custom_techno_mini_cart]'); ?>

									<?php //echo do_shortcode( '[woocommerce_cart]' )  ?>
									<?php if(function_exists ('wc_get_cart_url')){?>	

										<div class="total-count">
											<?php if( get_theme_mod('peccular_checkout_button_display','show' ) == 'show') :
												?>  
												<div class="mini-cart-dropdown"> 
													<?php global $woocommerce; ?> <i class="fa fa-shopping-bag"></i> <?php echo WC()->cart->get_cart_contents_count(); ?> Items - <?php echo WC()->cart->get_cart_total(); ?> 


													<?php
													$peccular_checkoutbutton = get_theme_mod('peccular_checkoutbutton', 'Checkout'); 
													$peccular_checkoutbtnlink = get_theme_mod('peccular_checkoutbtnlink', '');  
													?>
													<div class="btncheckout">
														<a class="btn-checkout" target="_blank" href="<?php echo $peccular_checkoutbtnlink ?>"><span> <?php echo ($peccular_checkoutbutton );  ?></span></a>	
													</div>
												</div>	
											<?php endif ?>


											<a href="<?php echo wc_get_cart_url();?>" class="">
												<svg xmlns="http://www.w3.org/2000/svg" width="22.715" height="23.5" viewBox="0 0 22.715 23.5">
													<g id="cart" transform="translate(-64.499 -47.479)">
														<path id="Path_734" data-name="Path 734" d="M-58.241-.364h1.674l1.409,0h.663l2.2,0h.716l2.3,0,2.365,0,1.328,0h1.708c.209,0,.417,0,.626,0l.184,0a1.055,1.055,0,0,1,.818.268.843.843,0,0,1,.135.2c.111.191.227.377.35.56a14.084,14.084,0,0,1,2.554,8.4v.121c0,.987-.024,1.973-.056,2.96q-.031.954-.043,1.909c0,.042,0,.085,0,.129q0,.256-.006.512c-.016,1.3-.038,2.595-.076,3.891q-.006.2-.011.4A4.131,4.131,0,0,1-40.578,22.2a3.557,3.557,0,0,1-2.538.913h-15.05a3.485,3.485,0,0,1-2.46-1.014,4.453,4.453,0,0,1-1.084-3.33l-.013-.411c-.039-1.266-.06-2.532-.077-3.8q0-.256-.007-.512l0-.128c-.009-.633-.027-1.265-.049-1.9-.034-.983-.056-1.965-.056-2.949,0-.06,0-.06,0-.121A14.9,14.9,0,0,1-59.26.4l.071-.112A1.159,1.159,0,0,1-58.241-.364Zm.688,1.907A7.914,7.914,0,0,0-59.1,4.689H-42c-.5-1.056-1.021-2.1-1.543-3.146Zm-2.137,5.1c0,2.172-.01,4.343-.015,6.581l-.007,2.078c0,.615,0,.615,0,1.23q0,.411,0,.821,0,.524,0,1.048,0,.192,0,.384c0,.173,0,.347,0,.52l0,.151a1.837,1.837,0,0,0,.549,1.339,2.093,2.093,0,0,0,1.333.361h.2c.217,0,.434,0,.65,0l.467,0h2.461q1.253,0,2.507,0,1.146,0,2.291,0,1.178,0,2.355,0h1.321q.621,0,1.242,0h.456c.208,0,.415,0,.623,0l.181,0a1.724,1.724,0,0,0,1.212-.453,1.792,1.792,0,0,0,.487-1.393c0-.081,0-.081,0-.165,0-.182,0-.363,0-.545q0-.2,0-.4,0-.532,0-1.063,0-.5,0-1,0-1.459-.006-2.919c-.006-3.261-.006-3.261-.011-6.588Z" transform="translate(126.415 47.866)"/>
														<path id="Path_735" data-name="Path 735" d="M-22.234-1.253a1.212,1.212,0,0,1,.56.751c.018.1.03.209.041.314a3.024,3.024,0,0,0,.99,2.014,3.007,3.007,0,0,0,2.2.594,2.964,2.964,0,0,0,1.9-1.187,3.712,3.712,0,0,0,.489-1.684,1.242,1.242,0,0,1,.579-.808,1.214,1.214,0,0,1,.842.007,1.465,1.465,0,0,1,.523.586A4.622,4.622,0,0,1-15.18,2.762l-.121.132-.119.136a4.554,4.554,0,0,1-3.123,1.42A4.985,4.985,0,0,1-22.29,3.061,4.64,4.64,0,0,1-23.633-.115l0-.147a1,1,0,0,1,.264-.762A1.035,1.035,0,0,1-22.234-1.253Z" transform="translate(94.728 58.92)"/>
													</g>
												</svg>
											</a>
											<div class="count"><?php global $woocommerce; ?> <?php echo WC()->cart->get_cart_contents_count(); ?> 
										</div> 


									</div>
								<?php }?>
								<?php
								$peccular_headermyacccbtnlink = get_theme_mod('peccular_headermyacccbtnlink', '');  
								?>
								<a class="my-acc" href="<?php echo $peccular_headermyacccbtnlink ?>"> <svg xmlns="http://www.w3.org/2000/svg" width="22.984" height="22.168" viewBox="0 0 22.984 22.168"> 
									<path id="profile" d="M-272.7-26.738a7.54,7.54,0,0,1,2.45,3.807l.057.2a7.311,7.311,0,0,1-.831,5.217,8.389,8.389,0,0,1-1.05,1.326l-.12.129a6.28,6.28,0,0,1-.985.81l.111.05.5.226.154.07A12.055,12.055,0,0,1-268.98-12.6l.094.09a10.675,10.675,0,0,1,1.287,1.457l.069.094a8.539,8.539,0,0,1,1.865,4.547l-.7.138-.2.04-.193.038-.177.035a2.807,2.807,0,0,1-.5.025l-.028-.1a10.291,10.291,0,0,0-2.288-4.469c-.105-.113-.205-.229-.3-.348a9.673,9.673,0,0,0-6.5-2.98,10.12,10.12,0,0,0-4.475.773l-.111.047a9.243,9.243,0,0,0-2.6,1.666l-.149.129a10.1,10.1,0,0,0-3,5.285,11.847,11.847,0,0,1-1.768-.276,5.138,5.138,0,0,1,.193-1.095l.044-.151a11.677,11.677,0,0,1,4.293-5.992l.092-.068a11.318,11.318,0,0,1,1.434-.861l.171-.09a10.574,10.574,0,0,1,1.23-.528v-.11c-.082-.062-.167-.12-.252-.176a6.712,6.712,0,0,1-1.737-1.868l-.108-.167a7.282,7.282,0,0,1-.826-5.257,7.241,7.241,0,0,1,3.2-4.456,8.308,8.308,0,0,1,1.988-.838l.2-.057A7.172,7.172,0,0,1-272.7-26.738Zm-7.991,1.652-.146.135a5,5,0,0,0-1.58,3.383,5.546,5.546,0,0,0,1.608,4.227,5.3,5.3,0,0,0,3.6,1.481,5.3,5.3,0,0,0,3.591-1.381l.146-.135a5,5,0,0,0,1.58-3.383,5.546,5.546,0,0,0-1.608-4.227A5.29,5.29,0,0,0-280.692-25.085Z" transform="translate(288.648 28.302)"/>
								</svg></a>
							</div>

							<?php if( get_theme_mod('peccular_header_locationbutton_display','show' ) == 'show') :
								?>  
								<?php
								$peccular_headerlocationbutton = get_theme_mod('peccular_headerlocationbutton', 'Store Location'); 
								$peccular_headerlocationbtnlink = get_theme_mod('peccular_headerlocation_btnlink', '');  
								?>

								<div class="col-xl-2 col-lg-2 col-md-2 col-sm-3 p-0 header-location-button">
									<div class="location">
										<a href="<?php echo $peccular_headerlocationbtnlink ?>">
											<svg xmlns="http://www.w3.org/2000/svg" width="23.422" height="23.5" viewBox="0 0 23.422 23.5">
												<g id="location_1_" data-name="location (1)" transform="translate(-23.636 -22.994)">
													<path id="Path_736" data-name="Path 736" d="M-164.683-24.7l.1.081a5.146,5.146,0,0,1,1.659,3.143c.02.24.024.477.022.718v.193a4.811,4.811,0,0,1-.222,1.457l-.032.1a5.14,5.14,0,0,1-1.278,2.017l-.091.1a4.934,4.934,0,0,1-2.932,1.411h-.3c0,.042,0,.085,0,.128q.007,1.546.01,3.092,0,.748,0,1.5,0,.652,0,1.3,0,.345,0,.69,0,.325,0,.649,0,.119,0,.239c0,.108,0,.217,0,.325,0,.061,0,.121,0,.184a.459.459,0,0,1-.226.355.494.494,0,0,1-.2.025l-.1,0a.514.514,0,0,1-.3-.228,1.393,1.393,0,0,1-.024-.338c0-.034,0-.068,0-.1,0-.114,0-.227,0-.341q0-.122,0-.244,0-.332,0-.663c0-.231,0-.462,0-.693q0-.656,0-1.312,0-.747,0-1.494,0-1.537.01-3.073l-.125-.01-.165-.013-.163-.013a4.87,4.87,0,0,1-2.821-1.425l-.114-.1a4.823,4.823,0,0,1-1.456-3.079,4.526,4.526,0,0,1,.21-2.208l.034-.1a5.385,5.385,0,0,1,.974-1.715l.094-.115A5.3,5.3,0,0,1-168.612-26,5.447,5.447,0,0,1-164.683-24.7Zm-6.5.756-.1.084a4.24,4.24,0,0,0-1.284,2.793,4.489,4.489,0,0,0,1.179,3.369l.084.1a4.214,4.214,0,0,0,2.8,1.283,4.575,4.575,0,0,0,3.313-1.127l.114-.1a4.27,4.27,0,0,0,1.316-2.835,4.574,4.574,0,0,0-1.127-3.313l-.1-.114a4.494,4.494,0,0,0-3.043-1.348A4.626,4.626,0,0,0-171.18-23.94Z" transform="translate(203.499 49)"/>
													<path id="Path_737" data-name="Path 737" d="M-57.323-.25a.393.393,0,0,1,.2.2.854.854,0,0,1,0,.4,1.176,1.176,0,0,1-.453.326l-.147.067-.155.07a2.94,2.94,0,0,0-1.561,1.25,1.026,1.026,0,0,0,.113.734c1.206,1.6,4.1,1.954,5.941,2.219a29.294,29.294,0,0,0,14.859-1.7,1.516,1.516,0,0,0,.671-.866.967.967,0,0,0-.231-.728A5.385,5.385,0,0,0-39.864.6c-.277-.134-.277-.134-.333-.244-.029-.355-.029-.355.076-.529a.767.767,0,0,1,.529-.076A2.47,2.47,0,0,1-39.2-.1l.105.048a3.831,3.831,0,0,1,2.079,1.8,1.879,1.879,0,0,1-.093,1.325,4.815,4.815,0,0,1-.366.5l-.073.088c-1.624,1.779-5,2.116-7.232,2.369l-.293.035a31.375,31.375,0,0,1-7.362-.023l-.126-.016c-5.368-.663-5.368-.663-7.077-2.251l-.1-.089a1.785,1.785,0,0,1-.623-1.157,1.79,1.79,0,0,1,.432-1.383q.118-.123.239-.242L-59.6.814A5.378,5.378,0,0,1-58.107-.1l.1-.046A1.3,1.3,0,0,1-57.323-.25Z" transform="translate(84 40.22)"/>
													<path id="Path_738" data-name="Path 738" d="M-111.221-.053l.108,0a.552.552,0,0,1,.383.118.424.424,0,0,1,.1.313l0,.1a.5.5,0,0,1-.228.3,1.42,1.42,0,0,1-.318.05l-.217.023-.127.013a8.876,8.876,0,0,0-4.619,1.249c-.075.082-.075.082-.071.242.093.276.267.355.516.488l.118.064c3.21,1.592,8.376,1.339,11.669.238a2.372,2.372,0,0,0,1.209-.705.478.478,0,0,0,0-.252c-.932-1.083-3.29-1.219-4.592-1.318l-.271-.017a1.325,1.325,0,0,1-.626-.176.766.766,0,0,1-.05-.5.58.58,0,0,1,.2-.2,1.824,1.824,0,0,1,.368-.025l.117,0c1.74.055,4.152.312,5.456,1.576a1.049,1.049,0,0,1,.329.786,1.176,1.176,0,0,1-.434.941,7.46,7.46,0,0,1-3.671,1.291l-.188.03a21.309,21.309,0,0,1-3.261.2h-.31a20.7,20.7,0,0,1-2.99-.167l-.186-.026c-3.189-.462-3.189-.462-4.14-1.6a1.425,1.425,0,0,1-.157-.994,2.281,2.281,0,0,1,1.24-1.111A11.957,11.957,0,0,1-111.221-.053Z" transform="translate(144.783 39.242)"/>
													<path id="Path_739" data-name="Path 739" d="M-36.152-1.968a.486.486,0,0,1,.151.4.847.847,0,0,1-.3.4A3.326,3.326,0,0,0-37.214.6a.432.432,0,0,1-.2.306,1.089,1.089,0,0,1-.453,0,.5.5,0,0,1-.2-.252,3.094,3.094,0,0,1,.818-2.122C-36.62-2.152-36.62-2.152-36.152-1.968Z" transform="translate(69.78 27.38)"/>
													<path id="Path_740" data-name="Path 740" d="M-11.809-.413a.393.393,0,0,1,.2.2.668.668,0,0,1-.076.529.668.668,0,0,1-.529.076.393.393,0,0,1-.2-.2.668.668,0,0,1,.076-.529A.668.668,0,0,1-11.809-.413Z" transform="translate(46.948 25.07)"/>
												</g>
											</svg> 

											<?php echo ($peccular_headerlocationbutton );  ?>
										</a>
									</div>
								</div>

							<?php endif ?>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
			</div>  <!--row close-->
			<!-- </div> -->
			<!--end main top header-->	
			<div class="clearfix"></div>
			<!-- 	</div> -->
		</header>

	<?php } elseif(get_theme_mod('peccular_header_style', 'Above Slider') == 'On Slider' ){ ?>

		<header class="site-header header-transparent header mo-left header-seo" style="position:absolute;">
			<div class="header-bg">
				<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>" style="border-radius: 0px;">

					<?php
							$peccular_marquebutton = get_theme_mod('peccular_marquebutton', '
								<strong>HURRY UP!</strong> Exclusive Offers & Deals'); 
							$peccular_marquebuttontxt = get_theme_mod('peccular_marquebuttontxt', 'SHOP NOW');
							$peccular_marquebuttontxtlink = get_theme_mod('peccular_marquebuttontxtlink', '');  
							?>
							<?php
							$peccular_headertwo_subtitle = get_theme_mod('peccular_headertwo_subtitle', '<strong>Spend $50,</strong> Get Free Shipping!');	
							$peccular_headertwo_subtitlebx = get_theme_mod('peccular_headertwo_subtitlebx', '<strong>Free Delivery</strong> On All Orders'); 
							$peccular_headerthree_subtitlebx = get_theme_mod('peccular_headerthree_subtitlebx', '<strong> SPECIAL OFFER </strong> HURRY UP!'); 
							?> 

						
							<div class="marquee alert__line">
								<div class="marquee__content">
									<ul class="list-inline"> 
										<?php if($peccular_marquebutton || $peccular_marquebutton){ ?>
										<li><?php echo ($peccular_marquebutton );  ?> <i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitle || $peccular_headertwo_subtitle){ ?>
											<li><?php echo ($peccular_headertwo_subtitle);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitlebx || $peccular_headertwo_subtitlebx){ ?>
											<li><?php echo ($peccular_headertwo_subtitlebx);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
									</ul>
									<ul class="list-inline">
										<?php if($peccular_marquebutton || $peccular_marquebutton){ ?>
										<li><?php echo ($peccular_marquebutton );  ?> <i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitle || $peccular_headertwo_subtitle){ ?>
											<li><?php echo ($peccular_headertwo_subtitle);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitlebx || $peccular_headertwo_subtitlebx){ ?>
											<li><?php echo ($peccular_headertwo_subtitlebx);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
									</ul>
									<ul class="list-inline">
										<?php if($peccular_marquebutton || $peccular_marquebutton){ ?>
										<li><?php echo ($peccular_marquebutton );  ?> <i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitle || $peccular_headertwo_subtitle){ ?>
											<li><?php echo ($peccular_headertwo_subtitle);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										<?php if($peccular_headertwo_subtitlebx || $peccular_headertwo_subtitlebx){ ?>
											<li><?php echo ($peccular_headertwo_subtitlebx);  ?><i><a href="<?php echo $peccular_marquebuttontxtlink ?>"><?php echo ($peccular_marquebuttontxt );  ?></a> </i></li>
										<?php }?>
										
									</ul>
								</div>
							</div>		

					<div class="menu-top-bx">

						<div class="<?php if(get_theme_mod('peccular_header_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_header_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    

							<div class="row m-0">
								<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 col-xs-12 desktop-woo-head p-0">
									<?php 
									if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
										$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
									}
									if( get_theme_mod('pages_logoheight',true) ) {
										$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
									}
									if( get_theme_mod('pages_logoToppadding',true) ) {
										$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
									}
									if( get_theme_mod('pages_logobottompadding',true) ) {
										$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
									}
									if( get_theme_mod('pages_logoTopmargin',true) ) {
										$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
									}
									if( get_theme_mod('pages_logobottommargin',true) ) {
										$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
									}
									?>
									<!-- website logo -->
									<div class="logo-header">
										<?php 
										if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
											the_custom_logo();
									else : 
										if ( is_front_page() ) : ?>
											<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
												<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
											<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?> 
									<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
										<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
									<?php }?>
								</div>
							</div>
							<div class="col-xl-7 col-lg-7 col-md-6 col-sm-4 head-menu">
								<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
								?>
								<div class="site-navigation">
									<div class="hamburger-menus">
										<span></span>
										<span></span>
										<span></span>
										<span></span>
										<span></span>
										<span></span>
										<span></span>
										<span></span>
										<span></span>
									</div>
									<nav class="navigation">
										<div class="overlaybg"></div><!--  /.overlaybg -->
										<!-- Main Menu -->
										<div class="menu-wrapper">
											<div class="menu-content">
												<?php
												if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
													wp_nav_menu ( array(
														'menu_class' => 'mainmenu ht-clearfix',
														'container'=> 'ul',
														'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
														'theme_location' => 'primary',  
													)); 
												} else {
													wp_nav_menu ( array(
														'menu_class' => 'mainmenu ht-clearfix',
														'container'=> 'ul',
														'theme_location' => 'primary',  
													)); 
												}
												?>
											</div> <!-- /.hours-content-->
											<div class="clearfix"></div>
										</div><!-- /.menu-wrapper --> 
										<!-- resp -->
										<div class="col-xl-2 col-lg-2 col-md-3 col-sm-4 top-button p-0 show-only-responsive">
											<?php if( get_theme_mod('peccular_header_button_display','show' ) == 'show') :
												?>  
												<?php
												$peccular_headerbutton = get_theme_mod('peccular_headerbutton', 'Contact Now'); 
												$peccular_headerbtnlink = get_theme_mod('peccular_headerbtnlink', '');  
												?>
												<a class="btn btn-lg" href="<?php echo $peccular_headerbtnlink ?>"><span> <?php echo ($peccular_headerbutton );  ?></span></a>

											<?php endif ?>
										</div>
										<!-- resp btn -->
										<div class="clearfix"></div>    
									</nav>	
								</div><!--  /.site-navigation -->		
								<div class="clearfix"></div>
							</div><!-- sticky header -->

							<div class="col-xl-2 col-lg-2 col-md-3 col-sm-4 top-button p-0 hide-in-responsive">
								<?php if( get_theme_mod('peccular_header_button_display','show' ) == 'show') :
									?>   
									<?php
									$peccular_headerbutton = get_theme_mod('peccular_headerbutton', 'Contact Now'); 
									$peccular_headerbtnlink = get_theme_mod('peccular_headerbtnlink', '');  
									?>
									<a class="btn btn-lg" href="<?php echo $peccular_headerbtnlink ?>"><span> <?php echo ($peccular_headerbutton );  ?></span></a>

								<?php endif ?>
							</div>
						</div>



					</div>
				</div>
				<div class="<?php if(get_theme_mod('peccular_header_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_header_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    
					<div class="row m-0 header-third-row">
						
						<div class="col-xl-2 col-lg-3 col-md-3 col-sm-3 col-xs-12 bottom--header p-0">
							<?php
							$header__categories = get_theme_mod('header__categories', 'All Collections');
							$header__categorieslink = get_theme_mod('header__categorieslink', '');  
							?>
							<?php if( get_theme_mod('peccular_header_catbox_display','show' ) == 'show') :
								?> 
								<label class="for-dropdown heading-font" for="dropdown">
									<a href="<?php echo $header__categorieslink ?>"> <i class="uil fa fa-bars"></i><?php echo ($header__categories );  ?></a>
								</label>
							<?php endif ?>
						</div>
						
						<div class="col-xl-7 col-lg-6 col-md-6 col-sm-5 col-xs-12 p-0 header-search">
						<?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
										<div id="sb-search" class="sb-search">
											   <form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
												<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
												<input type="search" class="effect-24" placeholder="Search Product" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />

												<span class="focus-bg"></span>
												<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
												<input type="hidden" name="post_type" value="product" />
											</form>
										</div>	
									

									<div class="top-form">
									<button type="button" id="formButton" class="pull-right"></button>
									<form id="form1" role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
												<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
												<input type="search" class="effect-24" placeholder="Search Product" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />

												<span class="focus-bg"></span>
												<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
												<input type="hidden" name="post_type" value="product" />
											</form>
								</div>
								<?php }?>
						</div>
						<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-12 header-woo-cart p-0">
							

							<?php //echo do_shortcode('[custom_techno_mini_cart]'); ?>

							<?php //echo do_shortcode( '[woocommerce_cart]' )  ?>
							<?php if(function_exists ('wc_get_cart_url')){?>	

								<div class="total-count">
									<?php if( get_theme_mod('peccular_checkout_button_display','show' ) == 'show') :
										?>  
										<div class="mini-cart-dropdown"> 
											<?php global $woocommerce; ?> <i class="fa fa-shopping-bag"></i> <?php echo WC()->cart->get_cart_contents_count(); ?> Items - <?php echo WC()->cart->get_cart_total(); ?> 

											
											<?php
											$peccular_checkoutbutton = get_theme_mod('peccular_checkoutbutton', 'Checkout'); 
											$peccular_checkoutbtnlink = get_theme_mod('peccular_checkoutbtnlink', '');  
											?>
											<div class="btncheckout">
												<a class="btn-checkout" target="_blank" href="<?php echo $peccular_checkoutbtnlink ?>"><span> <?php echo ($peccular_checkoutbutton );  ?></span></a>	
											</div>
										</div>	
									<?php endif ?>
									
									
									<a href="<?php echo wc_get_cart_url();?>" class="">
										<svg xmlns="http://www.w3.org/2000/svg" width="22.715" height="23.5" viewBox="0 0 22.715 23.5">
											<g id="cart" transform="translate(-64.499 -47.479)">
												<path id="Path_734" data-name="Path 734" d="M-58.241-.364h1.674l1.409,0h.663l2.2,0h.716l2.3,0,2.365,0,1.328,0h1.708c.209,0,.417,0,.626,0l.184,0a1.055,1.055,0,0,1,.818.268.843.843,0,0,1,.135.2c.111.191.227.377.35.56a14.084,14.084,0,0,1,2.554,8.4v.121c0,.987-.024,1.973-.056,2.96q-.031.954-.043,1.909c0,.042,0,.085,0,.129q0,.256-.006.512c-.016,1.3-.038,2.595-.076,3.891q-.006.2-.011.4A4.131,4.131,0,0,1-40.578,22.2a3.557,3.557,0,0,1-2.538.913h-15.05a3.485,3.485,0,0,1-2.46-1.014,4.453,4.453,0,0,1-1.084-3.33l-.013-.411c-.039-1.266-.06-2.532-.077-3.8q0-.256-.007-.512l0-.128c-.009-.633-.027-1.265-.049-1.9-.034-.983-.056-1.965-.056-2.949,0-.06,0-.06,0-.121A14.9,14.9,0,0,1-59.26.4l.071-.112A1.159,1.159,0,0,1-58.241-.364Zm.688,1.907A7.914,7.914,0,0,0-59.1,4.689H-42c-.5-1.056-1.021-2.1-1.543-3.146Zm-2.137,5.1c0,2.172-.01,4.343-.015,6.581l-.007,2.078c0,.615,0,.615,0,1.23q0,.411,0,.821,0,.524,0,1.048,0,.192,0,.384c0,.173,0,.347,0,.52l0,.151a1.837,1.837,0,0,0,.549,1.339,2.093,2.093,0,0,0,1.333.361h.2c.217,0,.434,0,.65,0l.467,0h2.461q1.253,0,2.507,0,1.146,0,2.291,0,1.178,0,2.355,0h1.321q.621,0,1.242,0h.456c.208,0,.415,0,.623,0l.181,0a1.724,1.724,0,0,0,1.212-.453,1.792,1.792,0,0,0,.487-1.393c0-.081,0-.081,0-.165,0-.182,0-.363,0-.545q0-.2,0-.4,0-.532,0-1.063,0-.5,0-1,0-1.459-.006-2.919c-.006-3.261-.006-3.261-.011-6.588Z" transform="translate(126.415 47.866)"/>
												<path id="Path_735" data-name="Path 735" d="M-22.234-1.253a1.212,1.212,0,0,1,.56.751c.018.1.03.209.041.314a3.024,3.024,0,0,0,.99,2.014,3.007,3.007,0,0,0,2.2.594,2.964,2.964,0,0,0,1.9-1.187,3.712,3.712,0,0,0,.489-1.684,1.242,1.242,0,0,1,.579-.808,1.214,1.214,0,0,1,.842.007,1.465,1.465,0,0,1,.523.586A4.622,4.622,0,0,1-15.18,2.762l-.121.132-.119.136a4.554,4.554,0,0,1-3.123,1.42A4.985,4.985,0,0,1-22.29,3.061,4.64,4.64,0,0,1-23.633-.115l0-.147a1,1,0,0,1,.264-.762A1.035,1.035,0,0,1-22.234-1.253Z" transform="translate(94.728 58.92)"/>
											</g>
										</svg>
									</a>
									<div class="count"><?php global $woocommerce; ?> <?php echo WC()->cart->get_cart_contents_count(); ?> 
								</div> 
								

							</div>
						<?php }?>
						<?php
						$peccular_headermyacccbtnlink = get_theme_mod('peccular_headermyacccbtnlink', '');  
						?>
						<a class="my-acc" href="<?php echo $peccular_headermyacccbtnlink ?>"> <svg xmlns="http://www.w3.org/2000/svg" width="22.984" height="22.168" viewBox="0 0 22.984 22.168"> 
							<path id="profile" d="M-272.7-26.738a7.54,7.54,0,0,1,2.45,3.807l.057.2a7.311,7.311,0,0,1-.831,5.217,8.389,8.389,0,0,1-1.05,1.326l-.12.129a6.28,6.28,0,0,1-.985.81l.111.05.5.226.154.07A12.055,12.055,0,0,1-268.98-12.6l.094.09a10.675,10.675,0,0,1,1.287,1.457l.069.094a8.539,8.539,0,0,1,1.865,4.547l-.7.138-.2.04-.193.038-.177.035a2.807,2.807,0,0,1-.5.025l-.028-.1a10.291,10.291,0,0,0-2.288-4.469c-.105-.113-.205-.229-.3-.348a9.673,9.673,0,0,0-6.5-2.98,10.12,10.12,0,0,0-4.475.773l-.111.047a9.243,9.243,0,0,0-2.6,1.666l-.149.129a10.1,10.1,0,0,0-3,5.285,11.847,11.847,0,0,1-1.768-.276,5.138,5.138,0,0,1,.193-1.095l.044-.151a11.677,11.677,0,0,1,4.293-5.992l.092-.068a11.318,11.318,0,0,1,1.434-.861l.171-.09a10.574,10.574,0,0,1,1.23-.528v-.11c-.082-.062-.167-.12-.252-.176a6.712,6.712,0,0,1-1.737-1.868l-.108-.167a7.282,7.282,0,0,1-.826-5.257,7.241,7.241,0,0,1,3.2-4.456,8.308,8.308,0,0,1,1.988-.838l.2-.057A7.172,7.172,0,0,1-272.7-26.738Zm-7.991,1.652-.146.135a5,5,0,0,0-1.58,3.383,5.546,5.546,0,0,0,1.608,4.227,5.3,5.3,0,0,0,3.6,1.481,5.3,5.3,0,0,0,3.591-1.381l.146-.135a5,5,0,0,0,1.58-3.383,5.546,5.546,0,0,0-1.608-4.227A5.29,5.29,0,0,0-280.692-25.085Z" transform="translate(288.648 28.302)"/>
						</svg></a>
					</div>
					
					<?php if( get_theme_mod('peccular_header_locationbutton_display','show' ) == 'show') :
						?>  
						<?php
						$peccular_headerlocationbutton = get_theme_mod('peccular_headerlocationbutton', 'Store Location'); 
						$peccular_headerlocationbtnlink = get_theme_mod('peccular_headerlocation_btnlink', '');  
						?>

						<div class="col-xl-2 col-lg-2 col-md-2 col-sm-3 p-0 header-location-button">
							<div class="location">
								<a href="<?php echo $peccular_headerlocationbtnlink ?>">
									<svg xmlns="http://www.w3.org/2000/svg" width="23.422" height="23.5" viewBox="0 0 23.422 23.5">
										<g id="location_1_" data-name="location (1)" transform="translate(-23.636 -22.994)">
											<path id="Path_736" data-name="Path 736" d="M-164.683-24.7l.1.081a5.146,5.146,0,0,1,1.659,3.143c.02.24.024.477.022.718v.193a4.811,4.811,0,0,1-.222,1.457l-.032.1a5.14,5.14,0,0,1-1.278,2.017l-.091.1a4.934,4.934,0,0,1-2.932,1.411h-.3c0,.042,0,.085,0,.128q.007,1.546.01,3.092,0,.748,0,1.5,0,.652,0,1.3,0,.345,0,.69,0,.325,0,.649,0,.119,0,.239c0,.108,0,.217,0,.325,0,.061,0,.121,0,.184a.459.459,0,0,1-.226.355.494.494,0,0,1-.2.025l-.1,0a.514.514,0,0,1-.3-.228,1.393,1.393,0,0,1-.024-.338c0-.034,0-.068,0-.1,0-.114,0-.227,0-.341q0-.122,0-.244,0-.332,0-.663c0-.231,0-.462,0-.693q0-.656,0-1.312,0-.747,0-1.494,0-1.537.01-3.073l-.125-.01-.165-.013-.163-.013a4.87,4.87,0,0,1-2.821-1.425l-.114-.1a4.823,4.823,0,0,1-1.456-3.079,4.526,4.526,0,0,1,.21-2.208l.034-.1a5.385,5.385,0,0,1,.974-1.715l.094-.115A5.3,5.3,0,0,1-168.612-26,5.447,5.447,0,0,1-164.683-24.7Zm-6.5.756-.1.084a4.24,4.24,0,0,0-1.284,2.793,4.489,4.489,0,0,0,1.179,3.369l.084.1a4.214,4.214,0,0,0,2.8,1.283,4.575,4.575,0,0,0,3.313-1.127l.114-.1a4.27,4.27,0,0,0,1.316-2.835,4.574,4.574,0,0,0-1.127-3.313l-.1-.114a4.494,4.494,0,0,0-3.043-1.348A4.626,4.626,0,0,0-171.18-23.94Z" transform="translate(203.499 49)"/>
											<path id="Path_737" data-name="Path 737" d="M-57.323-.25a.393.393,0,0,1,.2.2.854.854,0,0,1,0,.4,1.176,1.176,0,0,1-.453.326l-.147.067-.155.07a2.94,2.94,0,0,0-1.561,1.25,1.026,1.026,0,0,0,.113.734c1.206,1.6,4.1,1.954,5.941,2.219a29.294,29.294,0,0,0,14.859-1.7,1.516,1.516,0,0,0,.671-.866.967.967,0,0,0-.231-.728A5.385,5.385,0,0,0-39.864.6c-.277-.134-.277-.134-.333-.244-.029-.355-.029-.355.076-.529a.767.767,0,0,1,.529-.076A2.47,2.47,0,0,1-39.2-.1l.105.048a3.831,3.831,0,0,1,2.079,1.8,1.879,1.879,0,0,1-.093,1.325,4.815,4.815,0,0,1-.366.5l-.073.088c-1.624,1.779-5,2.116-7.232,2.369l-.293.035a31.375,31.375,0,0,1-7.362-.023l-.126-.016c-5.368-.663-5.368-.663-7.077-2.251l-.1-.089a1.785,1.785,0,0,1-.623-1.157,1.79,1.79,0,0,1,.432-1.383q.118-.123.239-.242L-59.6.814A5.378,5.378,0,0,1-58.107-.1l.1-.046A1.3,1.3,0,0,1-57.323-.25Z" transform="translate(84 40.22)"/>
											<path id="Path_738" data-name="Path 738" d="M-111.221-.053l.108,0a.552.552,0,0,1,.383.118.424.424,0,0,1,.1.313l0,.1a.5.5,0,0,1-.228.3,1.42,1.42,0,0,1-.318.05l-.217.023-.127.013a8.876,8.876,0,0,0-4.619,1.249c-.075.082-.075.082-.071.242.093.276.267.355.516.488l.118.064c3.21,1.592,8.376,1.339,11.669.238a2.372,2.372,0,0,0,1.209-.705.478.478,0,0,0,0-.252c-.932-1.083-3.29-1.219-4.592-1.318l-.271-.017a1.325,1.325,0,0,1-.626-.176.766.766,0,0,1-.05-.5.58.58,0,0,1,.2-.2,1.824,1.824,0,0,1,.368-.025l.117,0c1.74.055,4.152.312,5.456,1.576a1.049,1.049,0,0,1,.329.786,1.176,1.176,0,0,1-.434.941,7.46,7.46,0,0,1-3.671,1.291l-.188.03a21.309,21.309,0,0,1-3.261.2h-.31a20.7,20.7,0,0,1-2.99-.167l-.186-.026c-3.189-.462-3.189-.462-4.14-1.6a1.425,1.425,0,0,1-.157-.994,2.281,2.281,0,0,1,1.24-1.111A11.957,11.957,0,0,1-111.221-.053Z" transform="translate(144.783 39.242)"/>
											<path id="Path_739" data-name="Path 739" d="M-36.152-1.968a.486.486,0,0,1,.151.4.847.847,0,0,1-.3.4A3.326,3.326,0,0,0-37.214.6a.432.432,0,0,1-.2.306,1.089,1.089,0,0,1-.453,0,.5.5,0,0,1-.2-.252,3.094,3.094,0,0,1,.818-2.122C-36.62-2.152-36.62-2.152-36.152-1.968Z" transform="translate(69.78 27.38)"/>
											<path id="Path_740" data-name="Path 740" d="M-11.809-.413a.393.393,0,0,1,.2.2.668.668,0,0,1-.076.529.668.668,0,0,1-.529.076.393.393,0,0,1-.2-.2.668.668,0,0,1,.076-.529A.668.668,0,0,1-11.809-.413Z" transform="translate(46.948 25.07)"/>
										</g>
									</svg> 

									<?php echo ($peccular_headerlocationbutton );  ?>
								</a>
							</div>
						</div>
						
					<?php endif ?>
				</div>

			</div>
			<div class="clearfix"></div>
		</div>

		<div class="clearfix"></div>
	</div>  <!--row close-->
	<!-- </div> -->
	<!--end main top header-->	
	<div class="clearfix"></div>
	<!-- 	</div> -->
</header>


<?php }?>

</div>
