<?php
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author peccular <support@peccular.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();
    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_testimonials_npp_count', 2);
    $cols++;
    switch($cols){

    }
    $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $peccular_testimonials_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


            if ($isCustomizer === true) {
                $package_one_priceUnit = get_theme_mod('package_one_priceUnit' . $i);
                $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
            } else {
                $testimonial_area_designation = '';
            }

            $post = get_post();

            //designation
            $designation = get_post_meta($post->ID, 'designation', false);
            $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';

            $priceunit = get_post_meta($post->ID, 'priceunit', false);
            $package_one_priceUnit = !empty($priceunit[0]) ? $priceunit[0] : '';

            $peccular_testimonials_reviewheading = get_theme_mod('peccular_testimonials_reviewheading', 'Review');
            ?>

            <div class="item"> 
                <div class="peccular-testimonials-single" style="text-align : <?php if(get_theme_mod('peccular_testimonials_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_testimonials_box_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_testimonials_box_align','Right') == 'Right'){ ?> right <?php } ?> "> 
<div class="peccular-testimonials-content">
                                <div class="row">
                                    <div class="col-xl-4 col-lg-4 col-md-2 col-sm-3 peccular-testimonials-image">
                                       <img src="<?php echo (!empty($peccular_testimonials_image[0])) ? $peccular_testimonials_image[0] : get_template_directory_uri() . '/images/testimnl.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" />

                                    </div> 
                                    <div class="col-xl-5 col-lg-6 col-md-10 col-sm-9 test_content p-0 pt-3">
                                        <h4 class="peccular-testimonials-name" style="text-transform : <?php if(get_theme_mod('peccular_testimonialsn_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_testimonialsn_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_testimonialsn_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></h4> 
                                        <h6 class="peccular-testimonials-designation"><?php echo ($testimonial_area_designation); ?></h6> 
                                    </div>  
                                    <div class="clearfix"></div>  
                                </div> <!--col 12 --> 
                                <div class="peccular-testimonials-contentbox">
                                    <p> 
                                        <?php
                       echo get_the_content();
                       ?>   
                                    </p>  
                                </div>
                            </div> 
   </div> 
</div>      
<?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function testimonialinnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_testimonialspage_npp_count',1);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-xl-6 col-lg-6 col-md-12 col-sm-12 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-3 col-sm-6 col-xs-12';
        break;
    }

    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;
        ?>
        <div class="row m-0">
            <?php
            while ($query->have_posts()) : $query->the_post();
                $peccular_testimonials_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


                if ($isCustomizer === true) {
                    $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
                } else {
                    $testimonial_area_designation = '';
                }

                $post = get_post();


            //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
                ?>

                <div class="<?php echo $colCls;?> testimonials_b">
                    <?php
                            if(get_theme_mod('testimonial_featured_img_on_off') != 'on' ){
                              ?>
                    <div class="col-xl-6 col-lg-12 peccular-testimonials-image">
                            
                              <img src="<?php echo (!empty($peccular_testimonials_image[0])) ? $peccular_testimonials_image[0] : get_template_directory_uri() . '/images/testimonial.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                         

                      </div>
                       <?php }?>
                    <div class="peccular-testimonials-single">
                      
                    <div class="row">
                        
                      <div class="col-xl-5 offset-xl-7 col-lg-5 offset-lg-7 col-md-5 offset-md-7 col-sm-5 offset-sm-7 peccular-testimonials-identity">
                         <h4 class="peccular-testimonials-name"><?php the_title(); ?>

                     </h4>
                     <h6 class="peccular-testimonials-designation"><?php echo ($testimonial_area_designation); ?></h6>
                 </div>
             </div>   
              <?php if (get_theme_mod('testimonial_page_excerpt_display',true) != false){ ?>
                        <div class="peccular-testimonials-content"> 

                            <p>
                <i class="fa fa-quote-left"></i> <?php echo wp_trim_words(get_the_content(), 24); ?> <i class="fa fa-quote-right"></i>                               
                            </p> 

                        </div>  
                    <?php } ?>
             <div class="clearfix"></div>   
         </div> <!-- peccular-testimonials-single -->
     </div>

     <?php
 endwhile;?>
 <div class="clearfix"></div>
</div>
<?php
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('TESTIMONIALS', 'testimonialinnerpageShortCode');

function getWooCategories($isObject = true, $id=0, $isParents = 0, $itemPerPagenumber = -1, $orderby='name', $order='ASC', $hideEmpty = false){
    $categories = array();
    // echo 'asdlkfjoasdoh';
    $args = array(
        'taxonomy' => 'product_cat',
        'orderby' => $orderby, // 'slug',
        'hide_empty' => $hideEmpty,
        'number'=> 0
    );

    if($isParents == 0 ){
        $args['parent'] = $isParents;
    }

    if(!empty($id) && $id >0 ){
        $args['term_taxonomy_id'] = $id;
    }
    $parent_terms = get_terms($args);
    // print_r($parent_terms);
    foreach ($parent_terms as $pterm) {
        if($isObject === true){
            $categories[] = $pterm;
        }elseif(!empty($pterm->term_id)){
            $categories[$pterm->term_id] = $pterm->name;
            // echo '&*&*&';
        }
        
    }
    // print_r($categories);
    return $categories;
}   
