<?php 
// /HEADER SETTINGS IN CUSTOMIZER
$lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
));

$wp_customize->add_panel( $lvl1ParentPanel );

$lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
));  

$wp_customize->add_panel( $lvl2ParentPanel );

  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
));

//Bottom Header
$wp_customize->add_section( 'peccular_header_section' , array(
    'title'    => __( 'All Settings', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel2'
) );

$wp_customize->add_setting('peccular_allsetting_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
   'section' => 'peccular_header_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_show_sticky_header',
            'peccular_marquebutton',
            'peccular_marquebuttontxt',
            'peccular_marquebuttontxtlink', 
            'peccular_headerbutton',
            'peccular_headerbtnlink', 
            'header__categories',
            'peccular_headerlocationbutton',
            'peccular_headerbtnlink', 
            'peccular_headermyacccbtnlink',
            'peccular_headerlocationbutton',
            'peccular_headerbtnlink',
            'peccular_header_button_display', 
            'peccular_headerlocationbtnlink',
            'peccular_checkout_button_display',
            'peccular_checkoutbutton',
            'peccular_headercat_categories', 
            'peccular_checkoutbtnlink',
            'peccular_header_catbox_display',
            'peccular_headertwo_subtitle',
            'peccular_headertwo_subtitlebx',
            'peccular_headerthree_subtitlebx',
            'header__categories',
            'header__categorieslink', 
            'peccular_header_sbutton_enable'
        ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(  
            'header_stickybgColor',
            'header_bgColor',
            'header_topbgColor',
            'header_SiteTitleColor',
            'header_SearchBoxTextColor',
            'header_SearchBoxIconColor',
            'header_SearchBoxBorderColor',
            'header_SearchBoxBGColor',
            'header_CartIconColor',
            'header_CartCountColor',
            'header_CartCountbgColor',
            'header_CatgnamesbgssColor',
            'header_CartCountbghoverColor',
            'peccular_header_style',
            'peccular_header_image_opacity',
            'header_CatglablesColor',
            'header_CatglablesIconColor',
            'header_CatgnamesColor', 
            'header_CatgnamesbgColor',
            'header_CatgnamesbrsColor',
            'header_headerdiscboxColor',
            'header_headerdiscboxtextColor',
            'header_mainbtntextColor', 
            'header_mainbtntextbgColor',
            'header_mainbtntextbghoverColor', 
            'header_checkouttextColor',
            'header_checkoutttnbgColor', 
            'header_checkoutboxbgcontentColor', 
            'header_checkoutboxbgColor',
            'header_SiteTaglineColor'  
        ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-desktop',
        'fields' => array(
            'peccular_header_width'

        ),
    )
  ),
)));

$wp_customize->add_setting( 'peccular_show_sticky_header',array(
    'default' => false,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
    'label' => __( 'Show Sticky Header','peccular' ),
    'section' => 'peccular_header_section'
)));


$wp_customize->add_setting('peccular_header_style',array(
    'default' => 'Above Slider',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_header_style',array(
    'type' => 'select',
    'label' => __('Header Style','peccular'),
    'choices' => array (
        'Above Slider' => __('Above Slider','peccular'),
        'On Slider' => __('On Slider','peccular')
    ),
    'section' => 'peccular_header_section',
));

$wp_customize->add_setting('peccular_header_width',array(
    'default' => 'Full Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_header_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_header_section',
));


$wp_customize->add_setting( 'peccular_header_sbutton_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_header_sbutton_enable',array(
    'label' => __( 'Show Search Box','peccular' ),
    'section' => 'peccular_header_section'
)));   

$wp_customize->add_setting('peccular_headermyacccbtnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_headermyacccbtnlink',
    array(
        'settings'      => 'peccular_headermyacccbtnlink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Account Link', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_marquebutton',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<strong>HURRY UP!</strong> Exclusive Offers & Deals' )
    )
);
$wp_customize->add_control(
    'peccular_marquebutton',
    array(
        'settings'      => 'peccular_marquebutton',
        'section'       => 'peccular_header_section',
        'type'          => 'textarea',
        'label'         => __( 'Header Tagline 1', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_headertwo_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<strong>Spend $50,</strong> Get Free Shipping! On All Orders' )
    )
);
$wp_customize->add_control(
    'peccular_headertwo_subtitle',
    array(
        'settings'      => 'peccular_headertwo_subtitle',
        'section'       => 'peccular_header_section',
        'type'          => 'textarea',
        'label'         => __( 'Header Tagline 2', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_headertwo_subtitlebx',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<strong>SPECIAL OFFER : Free Delivery</strong> On All Orders' )
    )
);
$wp_customize->add_control(
    'peccular_headertwo_subtitlebx',
    array(
        'settings'      => 'peccular_headertwo_subtitlebx',
        'section'       => 'peccular_header_section',
        'type'          => 'textarea',
        'label'         => __( 'Header Tagline 3', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_marquebuttontxt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'SHOP NOW' )
    )
);
$wp_customize->add_control(
    'peccular_marquebuttontxt',
    array(
        'settings'      => 'peccular_marquebuttontxt',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Sliding Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_marquebuttontxtlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_marquebuttontxtlink',
    array(
        'settings'      => 'peccular_marquebuttontxtlink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Sliding Button Link', 'peccular-premium' )
    )
);


// to show & hide another button
$wp_customize->add_setting( 'peccular_header_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_header_button_display', array( 'label' => 'Contact Button Display', 'section' => 'peccular_header_section', 'settings' => 'peccular_header_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button 

$wp_customize->add_setting(
    'peccular_headerbutton',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Now' )
    )
);
$wp_customize->add_control(
    'peccular_headerbutton',
    array(
        'settings'      => 'peccular_headerbutton',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_headerbtnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_headerbtnlink',
    array(
        'settings'      => 'peccular_headerbtnlink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Button Link', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_headerlocationbutton',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Store Location' )
    )
);
$wp_customize->add_control(
    'peccular_headerlocationbutton',
    array(
        'settings'      => 'peccular_headerlocationbutton',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Location Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_headerlocationbtnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_headerlocationbtnlink',
    array(
        'settings'      => 'peccular_headerlocationbtnlink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Location Button Link', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_header_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_header_image_opacity',array(
    'label' => __('Header Image Opacity','peccular'),
    'section' => 'peccular_header_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));

// to show & hide another button
$wp_customize->add_setting( 'peccular_checkout_button_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_checkout_button_display', array( 'label' => 'Cart Hover Box Display', 'section' => 'peccular_header_section', 'settings' => 'peccular_checkout_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Checkout Box', 'hide' => 'Hide Checkout Box', ), ) ); 
// end to show & hide button 
$wp_customize->add_setting(
    'peccular_checkoutbutton',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Checkout' )
    )
);
$wp_customize->add_control(
    'peccular_checkoutbutton',
    array(
        'settings'      => 'peccular_checkoutbutton',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Checkout Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_checkoutbtnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_checkoutbtnlink',
    array(
        'settings'      => 'peccular_checkoutbtnlink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Checkout Button Link', 'peccular-premium' )
    )
);

 // to show & hide another button
$wp_customize->add_setting( 'peccular_header_catbox_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_header_catbox_display', array( 'label' => 'Collection Button Display', 'section' => 'peccular_header_section', 'settings' => 'peccular_header_catbox_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Collection Button', 'hide' => 'Hide Collection Button', ), ) ); 


$wp_customize->add_setting(
    'header__categories',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'All Collections' )
    )
);
$wp_customize->add_control(
    'header__categories',
    array(
        'settings'      => 'header__categories',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('header__categorieslink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header__categorieslink',
    array(
        'settings'      => 'header__categorieslink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Button Link', 'peccular-premium' )
    )
);
// end to show & hide button 

addColorPalatOption($wp_customize, 'header_headerdiscboxColor', 'peccular_header_section', 'Top Header BG Color', '');
addColorPalatOption($wp_customize, 'header_headerdiscboxtextColor', 'peccular_header_section', 'Top Header Text Color', '');

addColorPalatOption($wp_customize, 'header_topbgColor', 'peccular_header_section', 'Menu Box BG Color', '');
addColorPalatOption($wp_customize, 'header_bgColor', 'peccular_header_section', 'Bottom Header BG Color', '');

addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxTextColor', 'peccular_header_section', 'Search Box Text Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxIconColor', 'peccular_header_section', 'Search Box Icon Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxBorderColor', 'peccular_header_section', 'Search Box BG Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxBGColor', 'peccular_header_section', 'Active Search Box BG Color', '');

addColorPalatOption($wp_customize, 'header_CartIconColor', 'peccular_header_section', 'Cart,Account & Location Icon Color', '');
addColorPalatOption($wp_customize, 'header_CartCountColor', 'peccular_header_section', 'Count Text Color', '');
addColorPalatOption($wp_customize, 'header_CartCountbgColor', 'peccular_header_section', 'Count Text BG Color', '');
addColorPalatOption($wp_customize, 'header_CartCountbghoverColor', 'peccular_header_section', 'Cart,Account & Location Icon BG Color', '');

addColorPalatOption($wp_customize, 'header_mainbtntextColor', 'peccular_header_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'header_mainbtntextbgColor', 'peccular_header_section', 'Button BG Color', '#000000');
addColorPalatOption($wp_customize, 'header_mainbtntextbghoverColor', 'peccular_header_section', 'Button Hover BG & Animated Dots Color', '#fff');

addColorPalatOption($wp_customize, 'header_checkoutboxbgColor', 'peccular_header_section', 'Checkout Box BG Color', '');
addColorPalatOption($wp_customize, 'header_checkoutboxbgcontentColor', 'peccular_header_section', 'Checkout Box Content Color', '');
addColorPalatOption($wp_customize, 'header_checkoutttnbgColor', 'peccular_header_section', 'Checkout Button BG Color', '');
addColorPalatOption($wp_customize, 'header_checkouttextColor', 'peccular_header_section', 'Checkout Button Text Color', '');

addColorPalatOption($wp_customize, 'header_CatglablesIconColor', 'peccular_header_section', 'Collection Button Icon Color', '');
addColorPalatOption($wp_customize, 'header_CatglablesColor', 'peccular_header_section', 'Collection Button Text Color', '');
addColorPalatOption($wp_customize, 'header_CatgnamesbgssColor', 'peccular_header_section', 'Collection Button BG Color', '');
?>