<?php  
$wp_customize->add_section(
	'peccular_recent_products_section',
	array(
		'title' => __( 'New Arrival products', 'peccular-premium' ),
		'panel' => 'peccular_premium_home_panel1',
		'priority' =>19
	) 
); 

$wp_customize->add_setting('peccular_recent_products_nav', array(
	'sanitize_callback' => 'wp_kses_post',
)); 

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_recent_products_nav', array(
	'section' => 'peccular_recent_products_section',
	'priority' => 1,
	'buttons' => array(
		array(
			'name' => esc_html__('General', 'peccular-premium'),
			'icon' => 'dashicons dashicons-welcome-write-blog',
			'fields' => array(
				'peccular_recent_products_enable',
				'peccular_recent_products_section_lbl',
				'peccular_newp_section_lbl',
				'peccular_recentcattxtsale',
				'peccular_recentcattxt',
				'ct__recentproduct__page_title'

			),
			'active' => true,
		),
		array(
			'name' => esc_html__('Style', 'peccular-premium'),
			'icon' => 'dashicons dashicons-art',
			'fields' => array(
				'peccular_recent_products_section_bg_color',
				'peccular_recent_products_section_bg_image',
				'peccular_recent_products_image_opacity',
				'peccular_recent_products_box_onload_effects',
				'peccular_recentproducts_head_align',
				'peccular_recentproducts_head_case',
				'curtains_recentproduct_title_case',
				'peccular_recentproducts_mainheading_color',
				'peccular_recentproducts_proheading_color',
				'peccular_recentproducts_proheadinghover_color',
				'peccular_recentproducts_saleprice_color',
				'peccular_recentproducts_regprice_color',
				'peccular_recentproducts_addtcart_color',
				'peccular_recentproducts_addtcartbg_color',
				'peccular_recentproducts_addtcarthover_color',
				'peccular_recentproducts_addtcarthvrbg_color',
				'peccular_recentproducts_viewicon_color',
				'peccular_recentproducts_viewiconhover_color',
				'peccular_recentproducts_viewiconbg_color',
				'peccular_recentproducts_products_height',
				'peccular_recentproducts_stock_color', 
				'peccular_recentproducts_stockhover_color',
				'peccular_recentproducts_stockbg_color',
				'peccular_recentproducts_stockhoverbg_color',
				'peccular_recentproducts_boxbrss_color',
				'peccular_recentproducts_boxbrsshvrs_color',
				'peccular_recentproducts_boxbg_color',
				'peccular_recentproducts_qtybg_color',
				'peccular_recentproducts_qtybgt_color',
				'peccular_recentproducts_qtybrs_color',
				'peccular_recentproducts_viewiconbgc_color'      

			),
		),
		array(
			'name' => esc_html__('Layout', 'peccular-premium'),
			'icon' => 'dashicons dashicons-layout',
			'fields' => array(
				'peccular_recent_products_padding',
				'peccular_recent_products_section_t_padding',
				'peccular_recent_products_section_b_padding',
				'peccular_recentproducts_section_width'
			),
		)
	),
)));
$wp_customize->add_setting( 'peccular_recent_products_enable',array(
	'default' => true,
	'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_recent_products_enable',array(
	'label' => __( 'Disable Section','peccular' ),
	'section' => 'peccular_recent_products_section'
)));

$wp_customize->add_setting('peccular_recent_products_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
	new peccular_Info_Text( 
		$wp_customize,
		'peccular_recent_products_section_lbl',
		array(
			'settings'      => 'peccular_recent_products_section_lbl',
			'section'       => 'peccular_recent_products_section',
			'label'         => __( '', 'peccular Premium' ), 
			'description'   => __( '<strong>Note-</strong> <strong>Add Products Image Of Height 350px To Show In A Proper Way.</strong>', 'peccular Premium' ),
		)
	)
);

$wp_customize->add_setting(
	'ct__recentproduct__page_title',
	array(
		'sanitize_callback' => 'peccular_sanitize_text',
		'default'           => __( 'Shop Our Newest Arrivals Today', 'peccular-premium' )
	)
);
$wp_customize->add_control(
	'ct__recentproduct__page_title',
	array(
		'settings'      => 'ct__recentproduct__page_title',
		'section'       => 'peccular_recent_products_section', 
		'type'          => 'text',
		'label'         => __( 'Section Heading', 'peccular-premium' )
	)
);

$wp_customize->add_setting( 'peccular_recent_products_section_bg_color', array(
	'default' => '',
	'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_recent_products_section_bg_color', array(
	'label' => __('Section BG Color','peccular'),
	'section' => 'peccular_recent_products_section',
)));

$wp_customize->add_setting( 'peccular_recent_products_section_bg_image', array(
	'default' => '',
	'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_recent_products_section_bg_image', array(
	'label' => __('Section BG Image','peccular'),
	'section' => 'peccular_recent_products_section',
)));

$wp_customize->add_setting('peccular_recent_products_image_opacity',array(
	'default' => 1,
	'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_recent_products_image_opacity',array(
	'label' => __('BG Opacity','peccular'),
	'section' => 'peccular_recent_products_section',
	'input_attrs' => array(
		'min' => 0,
		'max' => 1,
		'step' => 0.1,
	),
)));
$wp_customize->add_setting('peccular_recentproducts_head_align',array(
	'default' => 'Center',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_recentproducts_head_align',array(
	'type' => 'select',
	'label' => __('Section Heading Alignment','peccular'),
	'choices' => array (
		'Center' => __('Center','peccular'),
		'Left' => __('Left','peccular'),
		'Right' => __('Right','peccular')
	),
	'section' => 'peccular_recent_products_section',
));
$wp_customize->add_setting('peccular_recentproducts_head_case',array(
	'default' => 'Capitalize',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_recentproducts_head_case',array(
	'type' => 'select',
	'label' => __('Section Heading Case','peccular'),
	'choices' => array (
		'Uppercase' => __('Uppercase','peccular'),
		'Lowercase' => __('Lowercase','peccular'),
		'Capitalize' => __('Capitalize','peccular')
	),
	'section' => 'peccular_recent_products_section',
));


$wp_customize->add_setting('curtains_recentproduct_title_case',array(
	'default' => 'None',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('curtains_recentproduct_title_case',array(
	'type' => 'select',
	'label' => __('Product Title Case','peccular'),
	'choices' => array (
		'None' => __('None','peccular'),
		'Uppercase' => __('Uppercase','peccular'),
		'Lowercase' => __('Lowercase','peccular'),
		'Capitalize' => __('Capitalize','peccular')
	),
	'section' => 'peccular_recent_products_section',
));

$wp_customize->add_setting('peccular_recent_products_padding',array(
	'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_recent_products_padding',array(
	'label' => __('Section Padding','peccular'),
	'section' => 'peccular_recent_products_section'
));

$wp_customize->add_setting('peccular_recent_products_section_t_padding',array(
	'default' => '0.8',
	'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_recent_products_section_t_padding',array(
	'type' => 'number',
	'label' => __('Top','peccular'),
	'section' => 'peccular_recent_products_section',
));
$wp_customize->add_setting('peccular_recent_products_section_b_padding',array(
	'default' => '3.5',
	'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_recent_products_section_b_padding',array(
	'type' => 'number',
	'label' => __('Bottom','peccular'),
	'section' => 'peccular_recent_products_section',
));

$wp_customize->add_setting('peccular_recentproducts_section_width',array(
	'default' => 'Full Width',
	'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_recentproducts_section_width',array(
	'type' => 'select',
	'label' => __('Section Width','peccular'),
	'choices' => array (
		'Box Width' => __('Box Width','peccular'),
		'Full Width' => __('Full Width','peccular')
	),
	'section' => 'peccular_recent_products_section',
));

$wp_customize->add_setting('peccular_recentproducts_products_height',array(
	'default' => '350',
	'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_recentproducts_products_height',array(
	'type' => 'number',
	'label' => __('Set Product Image Height','peccular'),
	'section' => 'peccular_recent_products_section',
));

addColorPalatOption($wp_customize, 'peccular_recentproducts_mainheading_color', 'peccular_recent_products_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_recentproducts_proheading_color', 'peccular_recent_products_section', 'Product Title Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_proheadinghover_color', 'peccular_recent_products_section', 'Product Title Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_saleprice_color', 'peccular_recent_products_section', 'Sale Price Text Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_regprice_color', 'peccular_recent_products_section', 'Regular Price Text Color', '');
addColorPalatOption($wp_customize, 'peccular_recentproducts_viewicon_color', 'peccular_recent_products_section', 'New/Sale Label Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_viewiconhover_color', 'peccular_recent_products_section', 'New/Sale Label Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_viewiconbg_color', 'peccular_recent_products_section', 'New/Sale Label BG Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_viewiconbgc_color', 'peccular_recent_products_section', 'New/Sale Label Hover BG Color', '');

addColorPalatOption($wp_customize, 'peccular_recentproducts_boxbg_color', 'peccular_recent_products_section', 'Product Box BG Color', '');
?>